'use strict';

var angular = require('angular');
require('./modules');
require('uiRouter');

var module = angular.module('info.routes');

module.config(function($stateProvider) {
  $stateProvider
    .state('info-infoDetail', {
      url: '/info/infodetail?pid&modelId&infoId&modelName',
      templateUrl: 'views/info/infoDetail.tpl.html',
      controller: 'InfoDetailCtrl',
      data: {
        title: '详情',
        url: 'info-infoDetail'
      }
    })
    .state('info-infoDetailOffice', {
      url: '/info/infoDetailOffice/:id/:pid?modelName',
      templateUrl: 'views/info/infoDetailOffice.tpl.html',
      controller: 'InfoDetailOfficeCtrl',
      data: {
        title: '公文详情',
        url: 'info-infoDetailOffice'
      }
    })
    .state('info-infoDetailCggs', {
      url: '/info/infoDetailCggs/:modelId/:infoId?pageNo',
      templateUrl: 'views/info/infoDetailCggs.tpl.html',
      controller: 'InfoDetailCggsCtrl',
      data: {
        title: '出国公示详情',
        url: 'info-infoDetailCggs'
      }
    });
});
